# Config requires major update anyway so we just use quick hack for now
%define _files_listed_twice_terminate_build 0

%define source_date 20170407
%define kdemajor 4.14

Summary:	ROSA KDE 4 configuration
Name:		mandriva-kde4-config
Version:	2016
Release:	11
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.rosalinux.com
Source0:	%{name}-%{version}.%{source_date}.tar.xz
Source1:	kde4-firstsetup.sh
BuildRequires:	kde4-macros
BuildRequires:	inkscape
BuildRequires:	gdk-pixbuf2.0
BuildArch:	noarch

%description
This package regroups all specific ROSA config file for KDE.
(SimpleWelcome, KWin config etc.)

#--------------------------------------------------------------------

%package common
Group:		Graphical desktop/KDE
Summary:	Common configs used for ROSA theme
Requires(pre):	update-alternatives
Requires:	urw-fonts
Requires:	mandriva-theme-screensaver
Requires:	mandriva-kde-icons
# Don't use them by default but they are really useful
Requires:	kde4-style-breeze
Requires:	breeze-gtk2-theme
Requires:	breeze-gtk3-theme

%description common
common configs used for ROSA theme.

%post common
update-alternatives --install %{_sysconfdir}/kde4rc kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config 9

%postun common
if [ "$1" = "0" ]; then
    if ! [ -e %{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config ]; then
        update-alternatives --remove kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config
    fi
fi

%files common
%dir %{_localstatedir}/lib/mandriva/
%dir %{_localstatedir}/lib/mandriva/kde4-profiles
%dir %{_localstatedir}/lib/mandriva/kde4-profiles/common
%{_localstatedir}/lib/mandriva/kde4-profiles/common/*
%{_datadir}/kde4/env/*
%{_kde_appsdir}/color-schemes/*.colors
%{_kde_appsdir}/kdm/themes
%{_kde_iconsdir}/*/*/apps/*
%{_kde_appsdir}/ksplash/Themes/ROSA

#--------------------------------------------------------------------

%package -n Default-kde4-config
Summary:	ROSA KDE configuration
Group:		Graphical desktop/KDE
Provides:	kde4-config-file = %{version}-%{release}
Requires:	mandriva-theme
Requires:	desktop-common-data
Requires(pre):	mandriva-kde4-config-common = %{version}-%{release}
Obsoletes:	free-kde4-config < %{version}-%{release}
Obsoletes:	one-kde4-config < %{version}-%{release}
Obsoletes:	powerpack-kde4-config < %{version}-%{release}
Obsoletes:	flash-kde4-config < %{version}-%{release}
Requires(pre):	mandriva-kde4-config-common = %{version}-%{release}
Requires(preun): mandriva-kde4-config-common
Requires(post):	perl-MDK-Common

%description -n Default-kde4-config
This package regroups all specific ROSA config file for KDE.

%pre -n Default-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %{_sysconfdir}/kde4rc ] && rm -f %{_sysconfdir}/kde4rc ]
fi
if [ -d %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/apps/kdesktop/Desktop ]; then
  rm -rf %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/apps/kdesktop/Desktop
fi

%trigger -n Default-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekderc("%{_kde_configdir}/kdm/kdmrc", "General", "ServerVTs", "-7")' 

%post -n Default-kde4-config
update-alternatives --install %{_sysconfdir}/kde4rc kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/Default/kde4rc 15

mkdir -p %{_kde_configdir}/kdm
update-alternatives --install \
	%{_kde_configdir}/kdm/kdmrc kdm4-config \
	%{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/kdmrc \
	10 \
	--slave \
	%{_kde_configdir}/kdm/backgroundrc \
	kdm4-background-config \
	%{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/backgroundrc
# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%{_kde_configdir}/kdm/kdmrc", Shutdown, HaltCmd, "/bin/poweroff")'


%postun -n Default-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %{_localstatedir}/lib/mandriva/kde4-profiles/Default/kde4rc ]; then
        update-alternatives --remove kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/Default/kde4rc
    fi

    if ! [ -e %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdmrc
    fi
fi

%triggerpostun -n Default-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %{_kde_configdir}/kdm/kdmrc kdm4-config \
    %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/kdmrc \
    10 \
    --slave \
    %{_kde_configdir}/kdm/backgroundrc \
    kdm4-background-config \
    %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/backgroundrc

%files -n Default-kde4-config
%defattr(-, root, root)
%dir %{_localstatedir}/lib/mandriva/kde4-profiles/Default
%{_localstatedir}/lib/mandriva/kde4-profiles/Default/*
%config(noreplace) %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/backgroundrc
%config(noreplace) %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/kdmrc

#--------------------------------------------------------------------

%prep
%setup -q

%build
# Nothing

%install
# Create profile dirs
mkdir -p %{buildroot}%{_kde_appsdir}/kdm
mkdir -p %{buildroot}%{_kde_configdir}/kdm
mkdir -p %{buildroot}%{_localstatedir}/lib/mandriva
mkdir -p %{buildroot}%{_datadir}/applications/kde4
mkdir -p %{buildroot}%{_kde_appsdir}/ksplash/Themes

for i in 16 32 48 64 128; do
	mkdir -p %{buildroot}%{_iconsdir}/crystalsvg/${i}x${i}/apps ;
	cp kde4-profiles/common/share/icons/crystalsvg/${i}x${i}/apps/home-mdk.png %{buildroot}%{_iconsdir}/crystalsvg/${i}x${i}/apps/home-mdk.png ;
done

mv kde4-profiles %{buildroot}/%{_localstatedir}/lib/mandriva

for name in Default; do
# As we Ksplash, we need to copy the files in /usr
	cp -fr %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/config/kdm/themes %{buildroot}/%{_kde_appsdir}/kdm
# We keep this common as we use the same theme for all mdv flavours
	cp -fr %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/apps/ksplash/Themes/ROSA %{buildroot}%{_kde_appsdir}/ksplash/Themes
	pushd %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/apps/mandriva/pics/
		icondir=%{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/icons
		mkdir -p $icondir/oxygen/scalable/places/
		cp mdvbutton.svg $icondir/oxygen/scalable/places/

		for RES in 16 22 32 48 64 128 256; do
			mkdir -p  $icondir/oxygen/${RES}x${RES}/places
			inkscape -z -w ${RES} -h ${RES} -f mdvbutton.svg -e $icondir/oxygen/${RES}x${RES}/places/mdvbutton.png
		done
	popd
    echo "[Directories-default]" > %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/kde4rc
    echo "prefixes=/var/lib/mandriva/kde4-profiles/common,%{_localstatedir}/lib/mandriva/kde4-profiles/$name" >> %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/kde4rc
done

# Upstream
echo "[Directories-default]" > %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config
echo "prefixes=%{_kde_prefix}" >> %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config

mkdir -p %{buildroot}%{_datadir}/kde4/env
install -m 755 %{SOURCE1} %{buildroot}%{_datadir}/kde4/env

# KDE version in kickoff top tile image
sed -i s,"KDE 4.10","KDE %{kdemajor}",g %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/apps/mandriva/pics/top.svg

mv %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/common/share/apps/color-schemes %{buildroot}%{_kde_appsdir}/

%changelog

* Fri Apr 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-11
- (5cf3c9f) Fix a typo

* Fri Apr 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-10
- (00809c4) Adjust ROSA_Launcherrc to match KF5 applications

* Fri Mar 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-9
- (33eb63c) Close ifs properly

* Fri Mar 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-8
- (4be88ba) Restore old KDE4 look but do it from KDE startup script instead of changing KF5, GTK2 and GTK3 system configs

* Wed Mar 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-7
- (b62b380) Drop old mdk icons replacement, they are not used for years
- (b62b380) More tabs refactoring

* Wed Mar 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-6
- (62a0d75) Fix tabs usage
- (Andrey Bondrov: 385c1e0) Restore export of GTK2_RC_FILES environment variable
- (Andrey Bondrov: 385c1e0) Set GTK2 Breeze theme in config (kde-gtk-config reads it to load defaults)

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-5
- (2994bc9) Use Breeze style by default
- (2994bc9) Don't ship GTK2 configs, use system ones

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-4
- (3e60bb6) Bump release

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-1
- (f3ca94f) Rename ROSA2 color scheme to ROSA Cleanlooks

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-4
- (f6fb9fb) Move color schemes to standard KDE4 location

* Mon Mar 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-3
- (6d19634) Create gtk2-engines-elementary.sh again, it seems to be still needed

* Sun Mar 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-2
- (06c14a6) Bump release

* Sun Mar 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016-1
- (c7f9b58) Don't create gtk2-engines-elementary.sh in user's home
- (c7f9b58) Fix colors in kdeglobals
- (Andrey Bondrov: de5d739) Add alternative color scheme (best with Clearlooks style)
- (Andrey Bondrov: de5d739) Bump version to 2016

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-26
- (97f2394) MassBuild#1230: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-25
- (6918dd8) MassBuild#1169: Increase release tag

* Fri Jul 15 2016 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-24
- (d953e94) Rearrange SimpleWelcome groups

* Wed Dec 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-23
- (80758e6) Drop power management default settings

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-22
- (605ff0a) Add power management default settings

* Mon Jun 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-21
- (3d8f0e3) Don't lock widgets by default, it has bad side effects (empty panel etc)

* Fri Jun 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-20
- (b8068f2) Lock widgets by default
- (b8068f2) Use only 1 virtual desktop by default

* Thu Jun 18 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-19
- (b6d7ad3) Move Ark and KSnapshot to the Tools group

* Wed Jun 03 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-18
- (cbd1b81) Create a separate group for SELinux tools in SW

* Mon Jun 01 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014-17
- (35b1ff7) Create a separate group for Wine tools in SW

* Fri May 22 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014-16
- (f5514b7) Fix typo in shebang

* Fri May 22 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014-15
- (f851b45) Revert last commit as it breaks unexpected things

* Thu May 21 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014-14
- (b832d45) Really apply fix

* Thu May 21 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014-13
- (bb802fa) Drop gtk2-engines-elementary.sh script

* Tue Apr 28 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-12
- (bd1e17c) Change recent applications format for the rosa-launcher config


